## pg-pwhash 1.0

=== Makefile ===
PG_CONFIG ?= pg_config
MODULE_big = pg_pwhash
OBJS = pwhash_yescrypt.o pwhash_argon2.o pwhash_scrypt.o pg_pwhash.o $(WIN32RES)
PGFILEDESC = "pg_pwhash - An implementation for advanced password hashing"

EXTENSION = pg_pwhash
DATA = pg_pwhash--1.0.sql
DOCS = pg_pwhash.md

REGRESS = pg_pwhash argon2 argon2_openssl scrypt scrypt_crypt scrypt_libscrypt yescrypt

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Add libraries that pgxcrypto_pwhash depends (or might depend) on into the
# shared library link.  (The order in which you list them here doesn't
# matter.)
SHLIB_LINK += -lcrypt -lscrypt -lm -lcrypto -lz -largon2
ifeq ($(PORTNAME), win32)
SHLIB_LINK += $(filter -leay32, $(LIBS))
# those must be at the end
SHLIB_LINK += -lws2_32
endif

=== test/Makefile ===
CC ?= cc
CFLAGS = -Wall -Wextra
LDFLAGS = -lcrypt

TARGETS = crypt_gensalt_yescrypt crypt_gensalt_scrypt

all: $(TARGETS)

crypt_gensalt_yescrypt: crypt_gensalt_yescrypt.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

crypt_gensalt_scrypt: crypt_gensalt_scrypt.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

clean:
	rm -f $(TARGETS)

.PHONY: all clean

=== debian/changelog ===
pg-pwhash (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Jan 2026 15:36:15 +0100

=== debian/control ===
Source: pg-pwhash
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libargon2-dev,
 libcrypt-dev,
 libscrypt-dev,
 libssl-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
 zlib1g-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/cybertec-postgresql/pg_pwhash
Vcs-Browser: https://salsa.debian.org/postgresql/pg-pwhash
Vcs-Git: https://salsa.debian.org/postgresql/pg-pwhash.git

Package: postgresql-18-pg-pwhash
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Advanced password hashing methods for PostgreSQL
 The extension pg_pwhash provides advanced password hashing methods based on
 adaptive implementations.
 .
 Supported password hashing algorithms:
  * Argon2 based on RFC 9106 ($argon2$ and variants)
  * scrypt ($scrypt$ and $7$)
  * yescrypt ($y$)

=== debian/rules ===
#!/usr/bin/make -f

export PROFILE = \
	-D_PWHASH_ARGON2_OSSL_SUPPORT=1 \
	-D_PWHASH_LIBSCRYPT_SUPPORT=1 \
	-D_PWHASH_CRYPT_SCRYPT_SUPPORT=1 \
	-D_PWHASH_CRYPT_YESCRYPT_SUPPORT=1 \

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

=== debian/watch ===
version=4
https://github.com/cybertec-postgresql/pg_pwhash/tags .*/v?(.*).tar.gz
